curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/ads/facebook/accounts
{
"status": "success",
"adAccounts": [
{
"accountId": "274948345",
"ageInDays": 2870.86,
"amountSpent": 191.33,
"balance": 7.84,
"budgetRemaining": 1,
"business": {
"name": "Fun Fun Fun",
"city": "New York",
"country": "US",
"state": "NY",
"street": "178 Columbus Ave",
"zip": "10023"
},
"created": "2012-01-05T03:11:31-0800",
"currency": "USD",
"disableReason": null,
"fundingSource": {
"id": "13157487252022",
"type": "Credit Card"
},
"hasNotificationsEnabled": true,
"isPersonal": false,
"isPrepayAccount": false,
"metrics": {
"spend": 191.33,
"impressions": 24994,
"reach": 20410,
"clicks": 622,
"ctr": 2.488597,
"cpm": 7.655037,
"cpp": 9.374326,
"frequency": 1.224596,
"uniqueClicks": 432,
"uniqueCtr": 2.11661,
"costPerUniqueClick": 0.442894,
"inlineLinkClicks": 538,
"costPerInlineLinkClick": 0.355632,
"outboundClicks": 468,
"costPerOutboundClick": 0.408825,
"websiteCtr": [
{
"action_type": "link_click",
"value": "2.152517"
}
],
"accountCurrency": "USD",
"accountName": "John Smith",
"accountId": "274948321"
},
"minDailyBudget": 1,
"name": "John Smith",
"owner": "3205611418413",
"spendCap": 0,
"status": "Active",
"tax": {
"id": "824087134",
"type": "Business Tax ID (EIN/SSN)",
"status": "Pending",
"isRequired": false
},
"timezoneName": "America/Los_Angeles",
"tosAccepted": {
"webCustomAudienceTos": true,
"customAudienceTos": true
}
}
],
"count": 1,
"lastUpdated": "2025-03-26T19:33:51.571Z",
"nextUpdate": "2025-03-26T19:44:51.571Z"
}
Facebook Ads
Accounts
Get Facebook Ad Accounts
GET
/
ads
/
facebook
/
accounts
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/ads/facebook/accounts
{
"status": "success",
"adAccounts": [
{
"accountId": "274948345",
"ageInDays": 2870.86,
"amountSpent": 191.33,
"balance": 7.84,
"budgetRemaining": 1,
"business": {
"name": "Fun Fun Fun",
"city": "New York",
"country": "US",
"state": "NY",
"street": "178 Columbus Ave",
"zip": "10023"
},
"created": "2012-01-05T03:11:31-0800",
"currency": "USD",
"disableReason": null,
"fundingSource": {
"id": "13157487252022",
"type": "Credit Card"
},
"hasNotificationsEnabled": true,
"isPersonal": false,
"isPrepayAccount": false,
"metrics": {
"spend": 191.33,
"impressions": 24994,
"reach": 20410,
"clicks": 622,
"ctr": 2.488597,
"cpm": 7.655037,
"cpp": 9.374326,
"frequency": 1.224596,
"uniqueClicks": 432,
"uniqueCtr": 2.11661,
"costPerUniqueClick": 0.442894,
"inlineLinkClicks": 538,
"costPerInlineLinkClick": 0.355632,
"outboundClicks": 468,
"costPerOutboundClick": 0.408825,
"websiteCtr": [
{
"action_type": "link_click",
"value": "2.152517"
}
],
"accountCurrency": "USD",
"accountName": "John Smith",
"accountId": "274948321"
},
"minDailyBudget": 1,
"name": "John Smith",
"owner": "3205611418413",
"spendCap": 0,
"status": "Active",
"tax": {
"id": "824087134",
"type": "Business Tax ID (EIN/SSN)",
"status": "Pending",
"isRequired": false
},
"timezoneName": "America/Los_Angeles",
"tosAccepted": {
"webCustomAudienceTos": true,
"customAudienceTos": true
}
}
],
"count": 1,
"lastUpdated": "2025-03-26T19:33:51.571Z",
"nextUpdate": "2025-03-26T19:44:51.571Z"
}
Retrieve available Facebook ad accounts associated with the authenticated profile. This endpoint allows you to access basic account information as well as key metrics for the ad accounts.Documentation Index
Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
- The
metricsobject contains aggregate performance data across all ads in the account - Results are cached for 10 minutes to optimize performance and reduce API calls to Facebook
- Account status in the JSON response may be one of:
active,disabled,unsettled,pending review, orclosed
Header Parameters
Query Parameters
Limit the number of ad accounts returned.
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/ads/facebook/accounts
{
"status": "success",
"adAccounts": [
{
"accountId": "274948345",
"ageInDays": 2870.86,
"amountSpent": 191.33,
"balance": 7.84,
"budgetRemaining": 1,
"business": {
"name": "Fun Fun Fun",
"city": "New York",
"country": "US",
"state": "NY",
"street": "178 Columbus Ave",
"zip": "10023"
},
"created": "2012-01-05T03:11:31-0800",
"currency": "USD",
"disableReason": null,
"fundingSource": {
"id": "13157487252022",
"type": "Credit Card"
},
"hasNotificationsEnabled": true,
"isPersonal": false,
"isPrepayAccount": false,
"metrics": {
"spend": 191.33,
"impressions": 24994,
"reach": 20410,
"clicks": 622,
"ctr": 2.488597,
"cpm": 7.655037,
"cpp": 9.374326,
"frequency": 1.224596,
"uniqueClicks": 432,
"uniqueCtr": 2.11661,
"costPerUniqueClick": 0.442894,
"inlineLinkClicks": 538,
"costPerInlineLinkClick": 0.355632,
"outboundClicks": 468,
"costPerOutboundClick": 0.408825,
"websiteCtr": [
{
"action_type": "link_click",
"value": "2.152517"
}
],
"accountCurrency": "USD",
"accountName": "John Smith",
"accountId": "274948321"
},
"minDailyBudget": 1,
"name": "John Smith",
"owner": "3205611418413",
"spendCap": 0,
"status": "Active",
"tax": {
"id": "824087134",
"type": "Business Tax ID (EIN/SSN)",
"status": "Pending",
"isRequired": false
},
"timezoneName": "America/Los_Angeles",
"tosAccepted": {
"webCustomAudienceTos": true,
"customAudienceTos": true
}
}
],
"count": 1,
"lastUpdated": "2025-03-26T19:33:51.571Z",
"nextUpdate": "2025-03-26T19:44:51.571Z"
}
⌘I
